Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034021
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2016-09-19 18:192016-09-29 00:02
ReportermaiteView Statuspublic 
Assigned ToSanjota 
PriorityurgentResolutionfixedFixed in Version3.0PR16Q4
StatusclosedFix in branchFixed in SCM revision24cf2ca5a3c4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034021: Concurrency problem: is possible to process same transaction document more than one time when accessing from different sessions

DescriptionIn case 2 users access to Transactions tabs from different sessions (different browser persons, for example), both of them will be able to process the transaction in case not refresh is performed
Steps To Reproduce1. Access any financial account window, transactions tab and create new record selecting any gl item and setting any amount
2. Open another browser session with different person and access same transaction register
3. Click "Process" button using this browser. Transaction will be processed and Financial Account's current balance will be updated
4. Using the other browser (without refreshing the screen) run "Process" button from same transaction. Realize that Financial Account's current balance will be updated again, causing inconsistency as Current Balance <> Initial Balance +- Processed Transactions
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0035137 closedAtulOpenbravo Concurrency problem: current balance wrongly calculated when 2 transactions are processed at same time 

-  Notes
(0090301)
Sanjota (developer)
2016-09-27 13:56
edited on: 2016-09-28 09:54

1. Access any financial account window, transactions tab and create new record selecting any gl item and setting any amount
2. Open another browser session with different person and access same transaction register
3. Click "Process" button using this browser. Transaction will be processed and Financial Account's current balance will be updated
4. Using the other browser (without refreshing the screen) run "Process" button from same transaction.
   Observe that balance is not updated in financial account.

(0090328)
hgbot (developer)
2016-09-28 09:53

Repository: erp/devel/pi
Changeset: 24cf2ca5a3c4d474eb78c04bf780ae646247bd1a
Author: Sanjota <sanjota.nelagi <at> promantia.com>
Date: Tue Sep 27 17:14:31 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/24cf2ca5a3c4d474eb78c04bf780ae646247bd1a [^]

Fixes issue 34021: Fixes to Concurrency problem with processing of transaction

Fix to Concurrency problem: is possible to process same transaction document more than one time when accessing from different sessions.
Fix: Along with filter on process button name, included status of the transaction as filter to process the transaction

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/process/FIN_TransactionProcess.java
---
(0090331)
aferraz (developer)
2016-09-28 09:54

Code review + Testing OK
(0090359)
hudsonbot (developer)
2016-09-29 00:02

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/2cd54ee6264a [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-09-19 18:19 maite New Issue
2016-09-19 18:19 maite Assigned To => Triage Finance
2016-09-19 18:19 maite Modules => Advanced Payables and Receivables Mngmt
2016-09-19 18:19 maite Triggers an Emergency Pack => No
2016-09-19 18:20 maite Issue Monitored: networkb
2016-09-19 18:31 heccam Issue Monitored: heccam
2016-09-22 14:06 aferraz Assigned To Triage Finance => Sanjota
2016-09-27 13:38 Sanjota Status new => scheduled
2016-09-27 13:56 Sanjota Note Added: 0090301
2016-09-28 09:53 hgbot Checkin
2016-09-28 09:53 hgbot Note Added: 0090328
2016-09-28 09:53 hgbot Status scheduled => resolved
2016-09-28 09:53 hgbot Resolution open => fixed
2016-09-28 09:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/24cf2ca5a3c4d474eb78c04bf780ae646247bd1a [^]
2016-09-28 09:54 aferraz Review Assigned To => aferraz
2016-09-28 09:54 aferraz Note Added: 0090331
2016-09-28 09:54 aferraz Status resolved => closed
2016-09-28 09:54 aferraz Fixed in Version => 3.0PR16Q4
2016-09-28 09:54 aferraz Note Edited: 0090301 View Revisions
2016-09-29 00:02 hudsonbot Checkin
2016-09-29 00:02 hudsonbot Note Added: 0090359
2017-02-02 13:32 maite Relationship added related to 0035137


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker